<template>
  <v-app class="patientDiseaseHistory">
    <div class="patientDiseaseHistory__title">
      <h1>История болезни</h1>
    </div>

    <!--Истоия болезни-->
    <v-data-table
        :headers="headers"
        :items="diseasePatientHistory"
        sort-by="id"
        class="diseaseHistory__table"
    >
    </v-data-table>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "PatientDiseaseHistory",
  data() {
    return {
      diseasePatientHistory: [],
      headers: [
        {
          text: 'Дата',
          value: 'date',
          sortable: false
        },
        {
          text: 'Температура',
          value: 'temperature',
          sortable: false
        },
        {
          text: 'Статус',
          value: 'status.name',
          sortable: false
        },
        {
          text: 'Дата поступления',
          value: 'medicalCard.dateIssue',
          sortable: false
        },
        {
          text: 'Дата выписки',
          value: 'medicalCard.dateDischarge',
          sortable: false
        },
        {
          text: 'Фамилия',
          value: 'medicalCard.patient.surname',
          sortable: false
        },
        {
          text: 'Имя',
          value: 'medicalCard.patient.name',
          sortable: false
        },
        {
          text: 'Отчество',
          value: 'medicalCard.patient.fatherName',
          sortable: false
        },
        {
          text: 'Страховой полис',
          value: 'medicalCard.patient.insurancePolicy',
          sortable: false
        },
        {
          text: 'Адрес',
          value: 'medicalCard.patient.address',
          sortable: false
        },
        {
          text: 'Диагноз',
          value: 'medicalCard.disease.name',
          sortable: false
        },
        {
          text: 'Палата',
          value: 'medicalCard.ward.name',
          sortable: false
        },
        {
          text: 'Отделение',
          value: 'medicalCard.ward.division.name',
          sortable: false
        },
        {
          text: 'Начало лечения',
          value: 'medicalCard.medication.dateStart',
          sortable: false
        },
        {
          text: 'Окончание лечения',
          value: 'medicalCard.medication.dateFinish',
          sortable: false
        },
        {
          text: 'Лечащий врач',
          value: 'medicalCard.medication.medicalStaff.fullName',
          sortable: false
        },
      ]
    }
  },

  mounted() {
    this.fetchPatientMedicalCard(this.$route.params.id)
  },

  methods: {
    async fetchPatientMedicalCard(id) {
      axios
          .get(this.$root.globalVar + '/daily_status/byPatient/' + id)
          .then(response => this.diseasePatientHistory = response.data)
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    },
  }
}
</script>

<style lang="scss" scoped>
.patientDiseaseHistory {
  &__title {
    margin: 60px 0 30px 0;
    text-align: center;
  }

  &__table {
    margin: 0 auto;
    width: 95%;
  }
}
</style>